import React from 'react';
import ReactDOM from 'react-dom/client';
import './index.css';
import Router from './router'; // Importing the router configuration
import { RouterProvider } from 'react-router-dom';

const rootElement = document.getElementById('root') as HTMLElement;
const root = ReactDOM.createRoot(rootElement);

root.render(
  <React.StrictMode>
    <RouterProvider router={Router} />
  </React.StrictMode>
);
